Ask Your Question
0

Error when installing pr2-simulator

asked 2016-09-01 08:33:23 -0500

lucadg gravatar image

Hi guys,I was following this tutorial Starting PR2 in Simulation and I understood that I needed to install pr2 simulator first. So I have executed:

sudo apt-get install ros-kinetic-pr2-simulator

And this is what I got:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package ros-kinetic-pr2-simulator

I have just started using ROS, and I don't know much about this world

Thank you in advance

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2016-09-01 09:13:35 -0500

lucadg gravatar image

Found the right command on http://gazebosim.org/tutorials?tut=ro...

sudo apt-get install ros-kinetic-pr2-common
edit flag offensive delete link more
0

answered 2017-09-27 10:40:07 -0500

You don't need to do that. Just go into your source file like

cd ~/catkin_ws

cd src

in source file clone pr2 like this

git clone https://github.com/pr2/pr2_common.git

after that go back to you workspace directory as

cd ~/catkin_ws

and then just compile it.

catkin_make

and that's it. Let me know if you still get some errors.

edit flag offensive delete link more

Comments

1

Building pkgs from source should only be done in a few select situations:

  1. pkg hasn't been released for your OS / CPU arch / platform / distro (for whatever reason)
  2. you want to work on the pkg (ie: develop it)

in all other cases installing binaries is the only recommendation.

gvdhoorn gravatar imagegvdhoorn ( 2017-09-27 13:16:57 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-09-01 08:33:23 -0500

Seen: 847 times

Last updated: Sep 27 '17